#include "stdafx.h"
#include "dictionary.h"
  
//<-------Entities
const TCHAR S::product_category[] = _T("product_category");
const TCHAR S::prd_rel_prd_cat[] = _T("product_related_product_category");
const TCHAR S::product_category_relationship[] = _T("product_category_relationship");
const TCHAR S::product[]=_T("product");
const TCHAR S::pdf[]=_T("product_definition_formation");
//->3.0 const TCHAR S::pd[]=_T("product_definition");
const TCHAR S::apl_pdf[] = _T("apl_product_definition_formation");
const TCHAR S::assembly_component_usage[]=_T("assembly_component_usage");
const TCHAR S::apl_qacu[] = _T("apl_quantified_assembly_component_usage");
const TCHAR S::qacu[] = _T("quantified_assembly_component_usage");
const TCHAR S::acu[] = _T("assembly_component_usage");
const TCHAR S::nauo[] = _T("next_assembly_usage_occurrence");
const TCHAR S::si_unit[] = _T("si_unit");
const TCHAR S::alt_prd_rel[] = _T("alternate_product_relationship");
const TCHAR S::apl_message[] = _T("apl_message");

//const TCHAR S::[] = _T("");


const TCHAR S::apl_folder[] = _T("apl_folder");
const TCHAR S::document_type[] = _T("document_type");
const TCHAR S::apl_document[] = _T("apl_document");
const TCHAR S::apl_document_revision[] = _T("apl_document_revision");
const TCHAR S::apl_digital_document[] = _T("apl_digital_document");
const TCHAR S::apl_hardcopy_document[] = _T("apl_hardcopy_document");
const TCHAR S::apl_document_relationship[] = _T("apl_document_relationship");
const TCHAR S::apl_stored_document[] = _T("apl_stored_document");
const TCHAR S::apl_assigned_document[] = _T("apl_assigned_document");
const TCHAR S::apl_document_revision_history[] = _T("apl_document_revision_history");
const TCHAR S::apl_document_lock[] = _T("apl_document_lock");
const TCHAR S::apl_document_reference[] = _T("apl_document_reference");


//<-------Attributes
const TCHAR S::name[] = _T("name");
const TCHAR S::content[] = _T("content");
const TCHAR S::icon[] = _T("icon");
const TCHAR S::id[] = _T("id");
const TCHAR S::description[] = _T("description");
const TCHAR S::kind[] = _T("kind");
const TCHAR S::active[] = _T("active");
const TCHAR S::state[] = _T("state");
const TCHAR S::revision_id[] = _T("revision_id");
const TCHAR S::of_document[] = _T("of_document");
const TCHAR S::label_name[] = _T("label_name");
const TCHAR S::crc[] = _T("crc");
const TCHAR S::relating[] = _T("relating");
const TCHAR S::related[] = _T("related");
const TCHAR S::product_data_type[] = _T("product_data_type");
const TCHAR S::access_form[] = _T("access_form");
const TCHAR S::format[] = _T("format");
const TCHAR S::source[] = _T("source");
const TCHAR S::location_path[] = _T("location_path");
const TCHAR S::info_on_checkout[] = _T("info_on_checkout");
const TCHAR S::info_on_checkin[] = _T("info_on_checkin");
const TCHAR S::user[] = _T("user");
const TCHAR S::start_date[] = _T("start_date");
const TCHAR S::end_date[] = _T("end_date");
const TCHAR S::file_name[] = _T("file_name");
const TCHAR S::document[] = _T("document");
const TCHAR S::revision[] = _T("revision");
const TCHAR S::items[] = _T("items");
const TCHAR S::item[] = _T("item");
const TCHAR S::assigned_document[] = _T("assigned_document");

const TCHAR S::formation[] = _T("formation");
const TCHAR S::of_product[] = _T("of_product");
const TCHAR S::frame_of_reference[]=_T("frame_of_reference");
const TCHAR S::category[] = _T("category");
const TCHAR S::sub_category[] = _T("sub_category");

const TCHAR S::base[] = _T("base");
const TCHAR S::basis[] = _T("basis");
const TCHAR S::alternate[] = _T("alternate");
const TCHAR S::products[] = _T("products");

const TCHAR S::formation_type[] = _T("formation_type");
const TCHAR S::usage[] = _T("usage");
const TCHAR S::quantity[] = _T("quantity");
const TCHAR S::value_component[] = _T("value_component");
const TCHAR S::val[] = _T("val");
const TCHAR S::unit_component[] = _T("unit_component");
const TCHAR S::prefix[] = _T("prefix");
const TCHAR S::is_standard_part[] = _T("is_standard_part");
const TCHAR S::measure_with_unit[] = _T("measure_with_unit");
const TCHAR S::related_pd[] = _T("related_product_definition");
const TCHAR S::relating_pd[] = _T("relating_product_definition");

const TCHAR S::sender[]= _T("sender");
const TCHAR S::recipient[]= _T("recipient");
const TCHAR S::forward_history[]= _T("forward_history");
const TCHAR S::subject[]= _T("subject");
const TCHAR S::priority[]= _T("priority");
const TCHAR S::ask_notify[]= _T("ask_notify");
const TCHAR S::status[]= _T("status");
const TCHAR S::date_send[]= _T("date_send");
const TCHAR S::date_received[]= _T("date_received");
const TCHAR S::prev_message[]= _T("prev_message");
const TCHAR S::forward[]= _T("forward");
const TCHAR S::sender_kill[]= _T("sender_kill");
const TCHAR S::recipient_kill[]= _T("recipient_kill");
const TCHAR S::date_send_s[]= _T("date_send_s");
const TCHAR S::date_received_s[]= _T("date_received_s");

const TCHAR S::code[]= _T("code");

const TCHAR S::NoAccessRight[]=_T("Недостаточно прав !");
const TCHAR S::ErrorLoadDataMgr[]=_T("Ошибка чтения данных (MGR)");
const TCHAR S::all_context[]=_T("все контексты");
//const TCHAR S::[] = _T("");

                                    